import { $get, $post, $postParam } from "@/plugins/axios";

// common-select
export const appTypeList = datas => {
  return $get("/api/admin/app/types", datas);
};
export const appDeployList = datas => {
  return $get("/api/admin/app/deploy_modes", datas);
};

// app-manage
export const appQuery = datas => {
  return $get("/api/admin/app/query", datas);
};
export const appInsertOrUpdate = datas => {
  if (datas.id) {
    return $post("/api/admin/app/update", datas);
  } else {
    return $post("/api/admin/app/insert", datas);
  }
};
export const appBindOrg = datas => {
  return $postParam("/api/admin/app/bind_org", datas);
};
export const appResetSecret = id => {
  return $postParam("/api/admin/app/reset_secret", { id });
};
export const appControlKeys = () => {
  return $get("/api/admin/app/control_keys", {});
};
export const appLicenseDownload = ({ appId, deviceId }) => {
  return $postParam(
    "/api/admin/app/license/download",
    { appId, deviceId },
    { responseType: "blob" }
  );
};
// app-devive manage
export const appDeviceList = appId => {
  return $postParam("/api/admin/app/device/list", { appId });
};
export const appDeviceInfo = deviceId => {
  return $postParam("/api/admin/app/device/info", { deviceId });
};
export const appDeviceSave = datas => {
  let formData = new FormData();
  Object.keys(datas).forEach(key => {
    formData.append(key, datas[key]);
  });
  return $post("/api/admin/app/device/save", formData);
};
export const appDeviceDelete = ({ appId, deviceId }) => {
  return $postParam("/api/admin/app/device/delete", { appId, deviceId });
};

// user-manage
export const userListPage = datas => {
  return $postParam("/api/admin/user/query", datas);
};
export const userRoleList = datas => {
  return $postParam("/api/admin/user/roles", datas);
};
export const userListQuery = datas => {
  return $postParam("/api/admin/user/list", datas);
};
export const resetPwd = password => {
  return $postParam("/api/admin/user/change_password", { password });
};
export const userInsertOrUpdate = datas => {
  if (datas.id) {
    return $post("/api/admin/user/update", datas);
  } else {
    return $post("/api/admin/user/insert", datas);
  }
};
